options = {
			{name = lan.option1, value = nil, values = {"francais", "english", "espaol", "deutch", "portuguese"}},
			{name = lan.option2, value = 1, values = {"ON", "OFF"}},
			{name = "SFX", value = 1, values = {"ON", "OFF"}},
			{name = "Skin?", value = 1, values = {"X"}},
			{name = lan.option3, value = 1, values = {"X"}}
			}

pic = Image.load("crd.png")
gris = Color.new(0, 30, 30)
bleu = Color.new(0, 0, 255)

for i=1,5 do
	if options[1].values[i]==langue then options[1].value = i; break end
end
if MUSIC then options[2].value = 1 else options[2].value = 2 end
if SFX then options[3].value = 1 else options[3].value = 2 end

font:setPixelSizes(0, 18)
pad = Controls.read()
pos, vpos, oldpos, oldvpos = 1, 1, 0, 0
while not(pad:triangle()) do
	pad = Controls.read()
	if pad:down() then pos = pos+1 end
	if pad:up() then pos = pos-1 end
	if pad:left() then options[pos].value, oldpos = options[pos].value-1, oldpos+1 end
	if pad:right() then options[pos].value, oldpos = options[pos].value+1, oldpos+1 end
	if pos>table.getn(options) then pos = table.getn(options) end
	if pos<1 then pos = 1 end
	if options[pos].value>table.getn(options[pos].values) then options[pos].value = table.getn(options[pos].values) end
	if options[pos].value<1 then options[pos].value = 1 end

	--Actions
	if pad:cross() or pad:circle() then
		if pos==1 then
			dofile("languages/"..string.sub(options[1].values[options[1].value], 1, 2)..".lg")
			playWAV("sons/good.wav", true)
		end
		
		if pos==4 then 
			playWAV("sons/good.wav", true)
			dofile("skinb.lua")
			while pad:triangle() do pad = Controls.read() end
		end
		
		if pos==5 then
			playWAV("sons/good.wav", true)
			high, max = 0, 1
			tmp = io.open(pack.."HS.HI", "w")
			tmp:write("high,max=0,1")
			tmp:close()
			tmp = nil
		end
	end
	
	--Affichage
	if pos~=oldpos then
		oldpos = pos
		screen:clear()
		screen:blit(0, 0, pic)
		for i=1,table.getn(options) do
			color = bleu
			if i==pos then color = gris end
			screen:fontPrint(font, 30, 100+20*(i-1), options[i].name.." : "..options[i].values[options[i].value], color)
		end
		screen.flip()
		screen.waitVblankStart()
		System.sleep(200)
	end
end

if options[2].value==1 then
	MUSIC = true
	playnewfile(true)
else
	MUSIC = false
	Music.stop()
end
if options[3].value==1 then
	SFX = true
else
	SFX = false
end

tablemenu = {{name = lan.menu1, img1 = Image.load(skin.."/m1m.png"), img2 = nil},
			{name = lan.menu2, img1 = Image.load(skin.."/m2m.png"), img2 = nil},
			{name = lan.menu3, img1 = Image.load(skin.."/m3m.png"), img2 = nil},
			{name = lan.menu4, img1 = Image.load(skin.."/m4m.png"), img2 = nil},
			{name = lan.menu5, img1 = Image.load(skin.."/m5m.png"), img2 = nil}}


langue = options[1].values[options[1].value]
tmp = io.open("config.cfg", "w")
tmp2 = [[langue="]]..langue..[["
skin="]]..skin..[["
pack="]]..pack..[["
]]

tmp:write(tmp2)
tmp:close()
tmp, tmp2 = nil
