
--[[tablemenu = {{name = "Jouer", img1 = Image.load("menu1m.png"), img2 = nil},
			{name = "Choix du niveau", img1 = Image.load("menu2m.png"), img2 = nil},
			{name = "Quitter", img1 = Image.load("menu3m.png"), img2 = nil},
			{name = "Jouer4", img1 = Image.load("menu1m.png"), img2 = nil},
			{name = "Jouer5", img1 = Image.load("menu1m.png"), img2 = nil},
			{name = "Jouer6", img1 = Image.load("menu1m.png"), img2 = nil}}
]]

function math.tronc(number, limit)
	number = number*(10^limit)
	number = math.floor(number)
	number = number/(10^limit)
	return number
	-- math.tronc(2/3, 3) => 0.666   ^_^
end

function rollmenu(tablemenu, back, l, h, vit, font, color, tx, ty)
	--**vrif des args
	if tablemenu==nil then error("no argument, table expected") end
	if back==nil then
		if io.open("back.png") then
			back = "back.png"
		else
			error("can't find background graphics") 
		end
	end
	if vit==nil then vit = 0.01 end
	if l==nil and h==nil then
		l, h = 90, 90
	elseif l==nil and h~=nil then
		l = h
	else
		h = l
	end
	if font==nil then font = Font.createMonoSpaced() end
	font:setPixelSizes(0, 32)
	if color==nil then color = Color.new(0, 0, 0) end
	if tx==nil or ty==nil then tx, ty = 292, 67 end
	--var
	n = table.getn(tablemenu)
	--**
	for j=1,n do
		if tablemenu[j].name==nil then error("name definition : label"..j) end
		if tablemenu[j].img1==nil then tablemenu[j].img1 = Image.load("standardm.png") end
		if tablemenu[j].img2==nil then tablemenu[j].img2 = Image.load("standardl.png") end
	end
	--***
	--Init des vars
	back = Image.load(back)
	
	pi = 4*math.atan(1)
	ecart = (2/n)*pi
	L = (l/2)-(l/18)
	H = (h/2)-(h/18)
	i = 0
	pos = 1
	oldpos = -1
	choix = nil
	--***
	
	t = {0, 0.01}
	while choix==nil do
		pad = Controls.read()
		if pad:up() or pad:left() then
			pos = pos+1
			t[1] = t[1]-ecart/pi
			t[2] = -1*vit
		end
		if pad:down() or pad:right() then
			pos = pos-1
			t[1] = t[1]+ecart/pi
			t[2] = vit
		end
		if pad:cross() then
			choix = pos
			t[1] = i
		end
		if pos>n then pos = 1 end
		if pos<1 then pos = n end
		if pos~=oldpos then
			oldpos = pos
			playWAV("sons/bip1.wav", true)
			g = i
			for i=g,t[1],t[2] do
				angle = pi*i--*sens
				x = (119+97*math.cos(angle))-40
				y = (117+97*math.sin(angle))-40
				screen:blit(0, 0, back)
				screen:blit(x, y, tablemenu[1].img1)
				p = 1
				for j=2,n do
					x, y = (119+97*math.cos(angle+ecart*p))-L, (117+97*math.sin(angle+ecart*p))-H
					screen:blit(x, y, tablemenu[j].img1)
					p = p+1
				end
				screen:fontPrint(font, tx, ty, tablemenu[pos].name, color)
				screen.waitVblankStart()
				screen.flip()
			end
			i = t[1]
		end
	end
	sound = nil
	return choix
end

--rollmenu(tablemenu, nil, 90, 90, 0.05, nil, Color.new(255, 128, 0))
